Public MustInherit Class usrCompo
    Inherits System.Web.UI.UserControl
    Protected WithEvents lblID As System.Web.UI.WebControls.Label
    Protected WithEvents txtInput As System.Web.UI.WebControls.TextBox

#Region " Web フォーム デザイナで生成されたコード "

    'この呼び出しは Web フォーム デザイナで必要です。
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        ' CODEGEN: このメソッド呼び出しは Web フォーム デザイナで必要です。
        ' コード エディタを使って変更しないでください。
        InitializeComponent()
    End Sub

#End Region

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' ページを初期化する ユーザー コードをここに挿入します。
    End Sub

    Public Property Name() As String
        Get
            Return Me.lblID.Text
        End Get
        Set(ByVal value As String)
            Me.lblID.Text = value
            Me.txtInput.Attributes("name") = value
        End Set
    End Property

    Public Property text() As String
        Get
            Return Me.txtInput.Text
        End Get
        Set(ByVal Value As String)
            Me.txtInput.Text() = Value
        End Set
    End Property

End Class
